Initial setup

...mainly to test that the ACLs and the CI and everything works.

Change-Id: If0b894e829f4d4f03aed0d8c5a12d91ac0924985
diff --git a/CMakeLists.txt b/CMakeLists.txt
new file mode 100644
index 0000000..6c72b8d
--- /dev/null
+++ b/CMakeLists.txt
@@ -0,0 +1,4 @@
+project(netconf-cli LANGUAGES CXX)
+cmake_minimum_required(VERSION 3.0)
+set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
diff --git a/README.md b/README.md
new file mode 100644
index 0000000..68821ec
--- /dev/null
+++ b/README.md
@@ -0,0 +1,5 @@
+# Console interface to NETCONF servers
+
+## Credits
+
+This project is maintained by CESNET.
diff --git a/ci/build.sh b/ci/build.sh
new file mode 100755
index 0000000..ae7beda
--- /dev/null
+++ b/ci/build.sh
@@ -0,0 +1,3 @@
+#!/bin/bash
+BUILD_TIMEOUT=30m
+timeout -k $BUILD_TIMEOUT $BUILD_TIMEOUT $TH_GIT_PATH/ci/do-build.sh
diff --git a/ci/do-build.sh b/ci/do-build.sh
new file mode 100755
index 0000000..fb8346a
--- /dev/null
+++ b/ci/do-build.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+
+set -eux -o pipefail
+shopt -s failglob
+
+# We're reusing our artifacts, so we absolutely need a stable destdir.
+# Turbo-hipster takes care of cleaning up the mess betweeb builds.
+PREFIX=~/target
+mkdir ${PREFIX}
+export PATH=${PREFIX}/bin:$PATH
+export LD_LIBRARY_PATH=${PREFIX}/lib64:${PREFIX}/lib
+export PKG_CONFIG_PATH=${PREFIX}/lib64/pkgconfig:${PREFIX}/lib/pkgconfig
+
+if [[ $TH_JOB_NAME =~ .*-sanitizers-.* ]]; then
+    # https://gitlab.kitware.com/cmake/cmake/issues/16609
+    CMAKE_OPTIONS="${CMAKE_OPTIONS} -DTHREADS_HAVE_PTHREAD_ARG:BOOL=ON"
+fi
+
+# force-enable tests for packages which use, eh, interesting setup
+# - libyang and libnetconf2 copmare CMAKE_BUILD_TYPE to lowercase "debug"...
+CMAKE_OPTIONS="${CMAKE_OPTIONS} -DENABLE_BUILD_TESTS=ON -DENABLE_VALGRIND_TESTS=OFF"
+
+mkdir -p ${ZUUL_PROJECT}/build
+cd ${ZUUL_PROJECT}/build
+${CMAKE} -GNinja \
+    -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE:-Debug} \
+    -DCMAKE_INSTALL_PREFIX=${PREFIX} \
+    ${CMAKE_OPTIONS} \
+    ${TH_GIT_PATH}
+ninja-build
+
+${CTEST} --output-on-failure